## ros-one-joint-state-controller 0.22.0-0jammy.20260221.0039

=== debian/changelog ===
ros-one-joint-state-controller (0.22.0-0jammy.20260221.0039) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 21 Feb 2026 00:39:17 +0000

ros-one-joint-state-controller (0.22.0-0jammy) jammy; urgency=high

  * Fix uncaught exception in joint_state_controller (#630 <https://github.com/ros-controls/ros_controllers/issues/630>)
  * add flag controlling init of last_publish_time_ (`#617 <https://github.com/ros-controls/ros_controllers/pull/617`_)
  * Contributors: Bryan Stuurman, Robert Haschke, Dr Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 May 2024 00:00:00 -0000

ros-one-joint-state-controller (0.21.2-0jammy) jammy; urgency=high

  * [joint_state_controller] clear joint_state_ before assignment
  * Contributors: Cong Liu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-joint-state-controller (0.21.1-0jammy) jammy; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-joint-state-controller (0.21.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-joint-state-controller (0.20.0-0jammy) jammy; urgency=high

  * Drop old C++ standard
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Lucas Walter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 May 2022 00:00:00 -0000

ros-one-joint-state-controller (0.19.0-0jammy) jammy; urgency=high

  * [joint_state_controller] Allow specification of joints or set specific order
    Introduces a 'joints' parameter similar to other controllers in order to
    be able to specify a subset of joints or a specific order of joints.
    This is useful when the HardwareInterface exposes joints in an order
    that is not desired or if certain joints are not meant to be published
    by a controller. If not provided, the controller publishes all joints
    and preserves backwards-compatibility.
  * Contributors: Wolfgang Merkt, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-joint-state-controller (0.18.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-joint-state-controller (0.18.0-0jammy) jammy; urgency=high

  * Move .yaml and .launch files to config/ and launch/ folders
  * Update joint_state_controller's package.xml file to format 3
  * Apply consistent format to joint_state_controller's CMakeLists.txt file
  * Clean joint_state_controller's dependencies
  * Move pluginlib/clast_list_macros.hpp include to cpp file
  * Contributors: Mateus Amarante

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-joint-state-controller (0.17.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 May 2020 00:00:00 -0000

ros-one-joint-state-controller (0.16.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-joint-state-controller (0.16.0-0jammy) jammy; urgency=high

  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-joint-state-controller (0.15.1-0jammy) jammy; urgency=high

  * Fix tipo joint_state_plugin.xml (#435 <https://github.com/ros-controls/ros_controllers/issues/435>)
    - Remove "is" from "The joint state controller is publishes"
  * Contributors: Caio Amaral

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-joint-state-controller (0.15.0-0jammy) jammy; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-joint-state-controller (0.14.3-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-joint-state-controller (0.14.2-0jammy) jammy; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-joint-state-controller (0.14.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-joint-state-controller (0.14.0-0jammy) jammy; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Apr 2018 00:00:00 -0000

ros-one-joint-state-controller (0.13.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-joint-state-controller (0.13.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-one-joint-state-controller (0.13.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Aug 2017 00:00:00 -0000

ros-one-joint-state-controller (0.12.3-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 23 Apr 2017 00:00:00 -0000

ros-one-joint-state-controller (0.12.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Apr 2017 00:00:00 -0000

ros-one-joint-state-controller (0.12.1-0jammy) jammy; urgency=high





## ros-one-joint-state-controller 0.22.0-0noble.20251023.0402

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(joint_state_controller)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  controller_interface
  hardware_interface
  pluginlib
  realtime_tools
  roscpp
  sensor_msgs
)

# Declare a catkin package
catkin_package(
  CATKIN_DEPENDS
    controller_interface
    hardware_interface
    realtime_tools
    roscpp
    sensor_msgs
  LIBRARIES
    ${PROJECT_NAME}
  INCLUDE_DIRS
    include
)


###########
## Build ##
###########

# Specify header include paths
include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
  src/joint_state_controller.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})


#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  add_rostest_gtest(joint_state_controller_test
    test/joint_state_controller.test
    test/joint_state_controller_test.cpp
  )
  target_link_libraries(joint_state_controller_test ${PROJECT_NAME})

endif()


#############
## Install ##
#############

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Install targets
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Install plugins
install(FILES joint_state_plugin.xml
              config/joint_state_controller.yaml
              launch/joint_state_controller.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-joint-state-controller (0.22.0-0noble.20251023.0402) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 04:02:21 +0000

ros-one-joint-state-controller (0.22.0-0noble) noble; urgency=high

  * Fix uncaught exception in joint_state_controller (#630 <https://github.com/ros-controls/ros_controllers/issues/630>)
  * add flag controlling init of last_publish_time_ (`#617 <https://github.com/ros-controls/ros_controllers/pull/617`_)
  * Contributors: Bryan Stuurman, Robert Haschke, Dr Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 May 2024 00:00:00 -0000

ros-one-joint-state-controller (0.21.2-0noble) noble; urgency=high

  * [joint_state_controller] clear joint_state_ before assignment
  * Contributors: Cong Liu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-joint-state-controller (0.21.1-0noble) noble; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-joint-state-controller (0.21.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-joint-state-controller (0.20.0-0noble) noble; urgency=high

  * Drop old C++ standard
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Lucas Walter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 May 2022 00:00:00 -0000

ros-one-joint-state-controller (0.19.0-0noble) noble; urgency=high

  * [joint_state_controller] Allow specification of joints or set specific order
    Introduces a 'joints' parameter similar to other controllers in order to
    be able to specify a subset of joints or a specific order of joints.
    This is useful when the HardwareInterface exposes joints in an order
    that is not desired or if certain joints are not meant to be published
    by a controller. If not provided, the controller publishes all joints
    and preserves backwards-compatibility.
  * Contributors: Wolfgang Merkt, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-joint-state-controller (0.18.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-joint-state-controller (0.18.0-0noble) noble; urgency=high

  * Move .yaml and .launch files to config/ and launch/ folders
  * Update joint_state_controller's package.xml file to format 3
  * Apply consistent format to joint_state_controller's CMakeLists.txt file
  * Clean joint_state_controller's dependencies
  * Move pluginlib/clast_list_macros.hpp include to cpp file
  * Contributors: Mateus Amarante

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-joint-state-controller (0.17.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 May 2020 00:00:00 -0000

ros-one-joint-state-controller (0.16.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-joint-state-controller (0.16.0-0noble) noble; urgency=high

  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-joint-state-controller (0.15.1-0noble) noble; urgency=high

  * Fix tipo joint_state_plugin.xml (#435 <https://github.com/ros-controls/ros_controllers/issues/435>)
    - Remove "is" from "The joint state controller is publishes"
  * Contributors: Caio Amaral

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-joint-state-controller (0.15.0-0noble) noble; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-joint-state-controller (0.14.3-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-joint-state-controller (0.14.2-0noble) noble; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-joint-state-controller (0.14.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-joint-state-controller (0.14.0-0noble) noble; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Apr 2018 00:00:00 -0000

ros-one-joint-state-controller (0.13.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-joint-state-controller (0.13.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-one-joint-state-controller (0.13.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Aug 2017 00:00:00 -0000

ros-one-joint-state-controller (0.12.3-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 23 Apr 2017 00:00:00 -0000

ros-one-joint-state-controller (0.12.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Apr 2017 00:00:00 -0000

ros-one-joint-state-controller (0.12.1-0noble) noble; urgency=high





=== debian/control ===
Source: ros-one-joint-state-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-controller-interface, ros-one-hardware-interface, ros-one-pluginlib, ros-one-realtime-tools, ros-one-roscpp, ros-one-sensor-msgs
Homepage: https://github.com/ros-controls/ros_controllers/wiki
Standards-Version: 3.9.2

Package: ros-one-joint-state-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-controller-interface, ros-one-hardware-interface, ros-one-realtime-tools, ros-one-roscpp, ros-one-sensor-msgs
Description: Controller to publish joint state

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-joint-state-controller//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-joint-state-controller 0.22.0-0noble.20260221.0109

=== debian/changelog ===
ros-one-joint-state-controller (0.22.0-0noble.20260221.0109) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 21 Feb 2026 01:09:18 +0000
